/* this door function is based on code by 
[---------------------------:[Andrew Hocker]:---------------------------]
*/
var plus = new Image();
  plus.src = "images/plus.gif";

var minus = new Image();
  minus.src = "images/minus.gif";

var item = new Image();
  item.src = "images/item.gif";

function door(){
	var argv = door.arguments;
	var argc = argv.length;

	obj = argv[0].parentNode;
	obj.className = (obj.className == 'open') ? 'closed' : 'open';
	
	for (var i = 1; i < argc; i++) {
		MM_findObj(argv[i]).className = 'closed';
    }

	return false;
}

// ff

function selectOption(objeto, optionValue)
{
	var selObj = document.getElementById(objeto);
	var i;
	for (i=0; i < selObj.options.length; i++) {
		if (selObj.options[i].value == optionValue) {
			selObj.options[i].selected = true;
    	}
  	}
}

// the typical MM functions
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function doConsultar(id, consulta, modelo) {
	destino = 'consultar.php?id='+id+'&k='+consulta+'&m='+modelo;
	ventana = window.open(destino, '', 'status = 1, height = 320, width = 490, resizable = 1' );
	ventana.focus();
}

function doSala(imagen) {
	destino = 'ampliar.php?k='+imagen;
	ventana = window.open(destino, '', 'status = 1, height = 278, width = 345, resizable = 1' );
	ventana.focus();
}

function overRow(t) {
	for (i = 0; i < t.cells.length; i++) {
		t.cells[i].bgColor = "#FBE1AD";
	}
}

function outRow(t) {
	for (i = 0; i < t.cells.length ; i++) {
		t.cells[i].bgColor = "#ffffff";
	}
}
